--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: An internal PDF::Reader class that mediates access to the underlying PDF File or IO Stream
constants: []

full_name: PDF::Reader::Buffer
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: eof?
- !ruby/object:RI::MethodSummary 
  name: find_first_xref_offset
- !ruby/object:RI::MethodSummary 
  name: head
- !ruby/object:RI::MethodSummary 
  name: pos
- !ruby/object:RI::MethodSummary 
  name: pos_without_buf
- !ruby/object:RI::MethodSummary 
  name: raw
- !ruby/object:RI::MethodSummary 
  name: read
- !ruby/object:RI::MethodSummary 
  name: read_until
- !ruby/object:RI::MethodSummary 
  name: ready_token
- !ruby/object:RI::MethodSummary 
  name: seek
- !ruby/object:RI::MethodSummary 
  name: token
name: Buffer
superclass: Object
